<?php
if (!(isset($_POST['state']))) {
	firstpage('');
}
else {
	switch ($_POST['state']) {
		case '0':
			if (!(isset($_POST['action']))) {
				$msg = 'No Action was selected';
				if (!(isset($_POST['drvid'])) or (($_POST['drvid']) =='')) {
					$msg = $msg . ' and no Drive ID was entered.';
				}
				else {
					$msg = $msg . '.';
				}
				firstpage($msg);
			}
			elseif (!(isset($_POST['drvid'])) or (($_POST['drvid']) =='')) {
					$msg = 'No Drive ID was entered.';
					firstpage($msg);
			}
			else {
				$drvid = $_POST['drvid'];
				switch ($_POST['action']) {
					case 'add':
						$link = dbconnect();
						$sql = "SELECT * FROM drivetest WHERE driveno = '" . $drvid . "'";
						$result = mysqli_query($link,$sql)
						   or die("Invalid query: " . mysqli_error($link));
						if (mysqli_num_rows($result) > 0) {
							$msg = 'Drive ' . $drvid . ' already exists.';
							firstpage($msg);
						}
						else {
							datapage($drvid, '', '', '', '', 'add', 'ADD Record', '1');
						}
						break;
					case 'change':
						$link = dbconnect();
						$sql = "SELECT * FROM drivetest WHERE driveno = '" . $drvid . "'";
						$result = mysqli_query($link,$sql)
						   or die("Invalid query: " . mysqli_error($link));
						if (mysqli_num_rows($result) > 0) {
							$row = mysqli_fetch_array($result);
							$driveno = $row[0];
							$drivename = $row[1];
							$drivechair = $row[2];
							$lastyear = $row[3];
							$thisyear = $row[4];
							datapage($driveno, $drivename, $drivechair, $lastyear, $thisyear, 'change', 'CHANGE Record', '2');
						}
						else {
							$msg = 'Drive ' . $drvid . ' does not exists.';
							firstpage($msg);
						}
						break;
					case 'delete':
						$link = dbconnect();
						$sql = "SELECT * FROM drivetest WHERE driveno = '" . $drvid . "'";
						$result = mysqli_query($link,$sql)
						   or die("Invalid query: " . mysqli_error($link));
						if (mysqli_num_rows($result) > 0) {
							$row = mysqli_fetch_array($result);
							$driveno = $row[0];
							$drivename = $row[1];
							$drivechair = $row[2];
							$lastyear = $row[3];
							$thisyear = $row[4];
							datapage($driveno, $drivename, $drivechair, $lastyear, $thisyear, 'delete', 'DELETE Record', '3');
						}
						else {
							$msg = 'Drive ' . $drvid . ' does not exists.';
							firstpage($msg);
						}
						break;
					default:
						firstpage('last');
						break;
				}
			}
			break;

		case '1':
			if (($_POST['continue']) == 'confirm') {
				$driveno = $_POST['realid'];
				$drivename = $_POST['drivename'];
				$drivechair = $_POST['drivechair'];
				$lastyear = $_POST['lastyear'];
				$thisyear = $_POST['thisyear'];
				$values = "'" . $driveno . "', '" . $drivename . "', '" . $drivechair . "', '" . $lastyear . "', '" . $thisyear . "'";
				$link = dbconnect();
				$result = mysqli_query($link,"INSERT INTO drivetest VALUES ($values)")
				   or die("Invalid query: " . mysqli_error($link));

				$msg = 'Drive ' . $driveno . ' added.';
			}
			else {
				$msg = 'ADD cancelled';
			}
			firstpage($msg);		
			break;

		case '2':
			if (($_POST['continue']) == 'confirm') {
				$driveno = $_POST['realid'];
				$drivename = $_POST['drivename'];
				$drivechair = $_POST['drivechair'];
				$lastyear = $_POST['lastyear'];
				$thisyear = $_POST['thisyear'];
				$sql = "UPDATE drivetest SET drivename = '" . $drivename . "', drivechair = '" . $drivechair . "', lastyear = '" . $lastyear . "', thisyear = '" . $thisyear . "' WHERE driveno = $driveno";
				$link = dbconnect();
				$result = mysqli_query($link,$sql)
				   or die("Invalid query: " . mysqli_error($link));

				$msg = 'Drive ' . $driveno . ' updated.';
			}
			else {
				$msg = 'CHANGE cancelled';
			}
			firstpage($msg);		
			break;

		case '3':
				if (($_POST['continue']) == 'confirm') {
				$driveno = $_POST['realid'];
				$sql = "DELETE FROM drivetest WHERE driveno = '" . $driveno . "'";
				$link = dbconnect();
				$result = mysqli_query($link,$sql)
				   or die("Invalid query: " . mysqli_error($link));

				$msg = 'Drive ' . $driveno . ' deleted.';
			}
			else {
				$msg = 'DELETE cancelled.';
			}
			firstpage($msg);
			break;

		default:
			firstpage();		
			break;	}					
}
function firstpage($msg) {
	print <<<FIRST
	<!DOCTYPE html>
	<html>
	<head><title>PHP and MySQL </title></head>
	<body>
	<h1>Drive Table Maintenance</h1><br>
	$msg<br><br>
	<form  method="post">
	Enter Drive ID: <input type='text' name='drvid'><br><br>
	Name: <input type='text' name='drivename' disabled><br><br>
	Chair: <input type='text' name='drivechair' disabled><br><br>
	Last Year: <input type='text' name='lastyear' disabled><br><br>
	This Year: <input type='text' name='thisyear' disabled><br><br>
	Add: <input type='radio' name='action' value='add'> &nbsp&nbsp&nbsp 
	Change: <input type='radio' name='action' value='change'> &nbsp&nbsp&nbsp 
	Delete: <input type='radio' name='action' value='delete'> &nbsp&nbsp&nbsp 
	<br><br>
	<input type='submit' value='Submit'>
	<input type=hidden name='state' value='0'>
	</form>
	</body>
	</html>
FIRST;
}

function dbconnect() {
	include "passworddonor.php";
	mysqli_select_db($link,"donor");
	return $link;
}

function datapage($driveno, $drivename, $drivechair, $lastyear, $thisyear, $currentaction, $header2, $state) {
	print <<<RECORD
		<!DOCTYPE html>
		<html>
		<head><title>PHP and MySQL </title></head>
		<body>
		<h1>Drive Table Maintenance</h1><br>
		$header2<br><br><br>
		<form  method="post">
		Drive ID: $driveno<br><br>
		Name: <input type='text' name='drivename' value="$drivename"><br><br>
		Chair: <input type='text' name='drivechair' value="$drivechair"><br><br>
		Last Year: <input type='text' name='lastyear' value="$lastyear"><br><br>
		This Year: <input type='text' name='thisyear' value="$thisyear"><br><br>
		Confirm: <input type='radio' name='continue' value='confirm'> &nbsp&nbsp&nbsp Cancel: <input type='radio' name='continue' value='cancel' checked><br><br>
		<input type='submit' value='Process'>
		<input type='hidden' name='realid' value="$driveno">
		<input type='hidden' name='currentaction' value="$currentaction">
		<input type=hidden name='state' value='$state'>
		</form>
		</body>
		</html>
RECORD;
}

?>
